pkgpyexecdir = $(pyexecdir)
pkgpyexec_LTLIBRARIES = mobius.la
mobiusdir=$(pkgpyexecdir)

SUBDIRS =			\
	core			\
	crypt			\
	database		\
	datetime		\
	decoder			\
	disk			\
	encoder			\
	imagefile		\
	io			\
	model			\
	os			\
	partition		\
	pod			\
	system			\
	turing			\
	ui			\
	vfs

mobius_la_SOURCES =					\
	module.h					\
	module.cc					\
	pymobius.h					\
	pymobius.cc					\
	pygil.h						\
	api_dataholder.h				\
	api_dataholder.cc				\
	api_metadata.h					\
	api_metadata.cc

mobius_la_CXXFLAGS = $(PY_CXXFLAGS) -I$(top_srcdir)/src -I$(top_srcdir)/src/python/mobius -fno-strict-aliasing

mobius_la_LDFLAGS = $(PY_LIBS) -module -avoid-version -shared -export-symbols-regex initmobius

mobius_la_LIBADD = $(top_srcdir)/src/mobius/libmobius.la	\
		core/libpymobius-core.la			\
		crypt/libpymobius-crypt.la			\
		database/libpymobius-database.la		\
		datetime/libpymobius-datetime.la		\
		decoder/libpymobius-decoder.la			\
		disk/libpymobius-disk.la			\
		encoder/libpymobius-encoder.la			\
		imagefile/libpymobius-imagefile.la		\
		io/libpymobius-io.la				\
		model/libpymobius-model.la			\
		os/libpymobius-os.la				\
		partition/libpymobius-partition.la		\
		pod/libpymobius-pod.la				\
		system/libpymobius-system.la			\
		turing/libpymobius-turing.la			\
		ui/libpymobius-ui.la				\
		vfs/libpymobius-vfs.la
